Function
atomicAdd
Atomically add an integer to another integer.
atomicAdd(x, y)
Include Headers
seqan/parallel.h
Parameters

x | Integer, by reference.
y | Integer to add to the given value.

Remarks
This is equivalent to an atomic x += y.
Note that atomic fetch-and-add is limited to 32 bit and 64 bit with MSVC (64 bit is only available on 64 bit Windows).
You are responsible for correctly aligning x such that the atomic increment works on the hardware you target.
Return Values
The old value of x.
See Also
atomicInc, atomicOr, atomicCas, atomicDec, atomicXor
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46